Subject: Re: Re* [PATCH] add-patch: response to unknown command

From: Taylor Blau <[email-masked]>
Date: Tue, 21 May 2024 18:27:08 -0400

On Tue, May 21, 2024 at 08:52:14AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
>
> > I'm a bit on the edge here. Is it really less confusing if we confront
> > the user with a command that they have never even provided in the first
> > place? They implicitly specified the first letter, only, but the user
> > first needs to be aware that we discard everything but the first letter
> > in the first place.
>
> I share your doubt.  If what the user said (e.g. "ues") when they
> wanted to say "yes", I find "You said 'u', which I do not understand"
> more confusiong than "You said 'ues', which I do not understand".

Same here. The below patch provides compelling reasoning and has my:

  Acked-by: Taylor Blau <[email-masked]>

Thanks,
Taylor